type HotkeyStorage = Record<string, HotkeyInstance>;
export declare const storage: HotkeyStorage;
type Callback = (event: KeyboardEvent) => void;
/**
 * hotkey class instance
 * @param alternateUp callback
 */
export declare class HotkeyInstance {
    constructor(alternateUp?: Callback | null);
    up: null | Callback;
    down: null | Callback;
    pressed: boolean;
}
type CommandString = string;
type Up = (arg0?: Callback) => {
    down: Down;
};
type Down = (arg0?: Callback) => {
    up: Up;
};
type Remove = (command: CommandString) => void;
interface Commands {
    altKey?: boolean;
    ctrlKey?: boolean;
    shiftKey?: boolean;
    key?: string;
}
export interface HotkeyAssignmentFunction {
    (command: CommandString, callback?: Callback): {
        up: Up;
        down: Down;
    };
    remove: Remove;
}
export declare const getCommandString: ({ altKey, ctrlKey, shiftKey, key, }: Commands | KeyboardEvent) => CommandString;
export declare const formatCommandString: (command: CommandString) => CommandString;
export declare const bindEvents: () => void;
/**
 * Set one hotkey
 * @param command string hotkey command
 * @param alternateUp  callback
 */
export declare const hotkey: HotkeyAssignmentFunction;
export {};
